# service account used to publish up-to-date docs.
before_action {
  fetch_keystore {
    keystore_resource {
      keystore_config_id: 73713
      keyname: "docuploader_service_account"
    }
  }
}

env_vars: {
    key: "TRAMPOLINE_IMAGE"
    value: "gcr.io/cloud-devrel-kokoro-resources/node:12-user"
}

# Download trampoline resources.
gfile_resources: "/bigstore/cloud-devrel-kokoro-resources/trampoline"

# Use the trampoline script to run in docker.
build_file: "google-api-nodejs-client/.kokoro/trampoline_v2.sh"

env_vars: {
    key: "TRAMPOLINE_BUILD_FILE"
    value: "github/google-api-nodejs-client/.kokoro/release/docs.sh"
}
